SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000616SiT!inbound emailpublic2009-03-26 20:292009-08-16 14:40
Reportersmelvin 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000616: Empty ($CONFIG['spam_email_subject']) causes warnings in holding queue
DescriptionIf you clear the contents of the Spam Subject field on the Email config page, every email displays a warning about an invalid delimiter. Please see screen capture.

It can be resolved by making the following change in the holding_queue.php file at line 276.

Replace...
while ($updates = mysql_fetch_array($result))
    {
        if (!stristr($updates['subject'], $CONFIG['spam_email_subject']))
        {
            $queuerows[$updates['id']] = generate_row($updates);
        }
        else
        {
            $spamcount++;
        }
    }

With ...
if (!empty($CONFIG['spam_email-subject']))
    {
        while ($updates = mysql_fetch_array($result))
        {
            if (!stristr($updates['subject'], $CONFIG['spam_email_subject']))
            {
                $queuerows[$updates['id']] = generate_row($updates);
            }
            else
            {
                $spamcount++;
            }
        }
    }
    else
    {
        while ($updates = mysql_fetch_array($result))
        {
            $queuerows[$updates['id']] = generate_row($updates);
        }
    }

This way the system checks to see if the variable is empty before entering into the loop.

Hopefully this helps.
TagsNo tags attached.
Attached Filespng file icon Delimiter Error.png [^] (37,759 bytes) 2009-03-26 20:29

- Relationships

-  Notes
User avatar (0000844)
kieran (administrator)
2009-03-26 20:53

Cheers for the report, I commited the fix to svn.
User avatar (0001745)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-03-26 20:29 smelvin New Issue
2009-03-26 20:29 smelvin File Added: Delimiter Error.png
2009-03-26 20:53 kieran Note Added: 0000844
2009-03-26 20:53 kieran Status new => resolved
2009-03-26 20:53 kieran Resolution open => fixed
2009-03-26 20:53 kieran Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001745
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker